Uses of Class
com.eqixiac.equinix.customerportal.model.json.creators.ContactInfo
Packages that use ContactInfo
-
Uses of ContactInfo in com.eqixiac.equinix.customerportal.model.json.creators
Methods in com.eqixiac.equinix.customerportal.model.json.creators that return ContactInfoModifier and TypeMethodDescriptionContactInfo.mobilePhone(String mobilePhoneCountryCode, String mobilePhone, PhonePreferenceToCall mobilePhonePrefToCall) ContactInfo.mobilePhoneTimeZone(String mobilePhoneTimeZone) static ContactInfoContactInfo.registered(SmartHandsContactType contactType, String userName) Builds a registered-user contact (ORDERING or NOTIFICATION), referenced by user name.static ContactInfoContactInfo.technical(String name, String workPhone, PhonePreferenceToCall workPhonePrefToCall) Builds a technical contact specified inline with name and work phone details.ContactInfo.workPhoneCountryCode(String workPhoneCountryCode) ContactInfo.workPhoneTimeZone(String workPhoneTimeZone) Method parameters in com.eqixiac.equinix.customerportal.model.json.creators with type arguments of type ContactInfoModifier and TypeMethodDescriptionInboundShipmentOrderRequest.builder(IbxLocation ibxLocation, List<ContactInfo> contacts, InboundShipmentServiceDetails serviceDetails) Returns a new builder for an inbound shipment order request.OutboundShipmentOrderRequest.builder(IbxLocation ibxLocation, List<ContactInfo> contacts, OutboundShipmentServiceDetails serviceDetails) Returns a new builder for an outbound shipment order request.SmartHandsRequestJson.builder(IbxLocation ibxLocation, List<ContactInfo> contacts, ScheduleInfo schedule, Object serviceDetails) Returns a new builder for a smart hands request body using a typed per-typeserviceDetailscreator (e.g.SmartHandsRequestJson.builder(IbxLocation ibxLocation, List<ContactInfo> contacts, ScheduleInfo schedule, Map<String, Object> serviceDetails) Returns a new builder for a smart hands request body using a free-formMap<String, Object>serviceDetailsescape hatch.